
import '../errors.js';
import '../arrays.js';
import '../event.js';
import '../lifecycle.js';
import { setLogObservableFn, addLogger } from './logging/logging.js';
import './reactions/autorunImpl.js';
export { derived, derivedDisposable, derivedHandleChanges, derivedOpts, derivedWithSetter } from './observables/derived.js';
import '../cancellation.js';
import './observables/derivedImpl.js';
export { debouncedObservable, derivedObservableWithCache, derivedObservableWithWritableCache, keepObserved, mapObservableArrayCached, observableFromPromise, recomputeInitiallyAndOnChange, wasEventTriggeredRecently } from './utils/utils.js';
export { observableFromEvent, observableFromEventOpts } from './observables/observableFromEvent.js';
import { logObservableToConsole } from './logging/consoleObservableLogger.js';
import { DevToolsLogger } from './logging/debugger/devToolsLogger.js';
import { env } from '../process.js';

setLogObservableFn(logObservableToConsole);
if (env && env['VSCODE_DEV_DEBUG']) {
    addLogger(DevToolsLogger.getInstance());
}
