import { IObservable, IObservableWithChange } from "../../../../base/common/observable.js";
import { IAccessibilityService } from "../../../../platform/accessibility/common/accessibility.service.js";
import { IDiffEditorOptions, IEditorOptions } from "../../../common/config/editorOptions.js";
import { DiffEditorViewModel } from "./diffEditorViewModel.js";
export declare class DiffEditorOptions {
    private readonly _accessibilityService;
    private readonly _options;
    get editorOptions(): IObservableWithChange<IEditorOptions, {
        changedOptions: IEditorOptions;
    }>;
    private readonly _diffEditorWidth;
    private readonly _screenReaderMode;
    constructor(options: Readonly<IDiffEditorOptions>, _accessibilityService: IAccessibilityService);
    readonly couldShowInlineViewBecauseOfSize: IObservableWithChange<boolean, void>;
    readonly renderOverviewRuler: IObservableWithChange<boolean, void>;
    readonly renderSideBySide: IObservableWithChange<boolean, void>;
    readonly readOnly: IObservableWithChange<boolean | undefined, void>;
    readonly shouldRenderOldRevertArrows: IObservableWithChange<boolean, void>;
    readonly shouldRenderGutterMenu: IObservableWithChange<boolean, void>;
    readonly renderIndicators: IObservableWithChange<boolean, void>;
    readonly enableSplitViewResizing: IObservableWithChange<boolean, void>;
    readonly splitViewDefaultRatio: IObservableWithChange<number, void>;
    readonly ignoreTrimWhitespace: IObservableWithChange<boolean, void>;
    readonly maxComputationTimeMs: IObservableWithChange<number, void>;
    readonly showMoves: IObservableWithChange<boolean, void>;
    readonly isInEmbeddedEditor: IObservableWithChange<boolean, void>;
    readonly diffWordWrap: IObservableWithChange<"on" | "inherit" | "off", void>;
    readonly originalEditable: IObservableWithChange<boolean, void>;
    readonly diffCodeLens: IObservableWithChange<boolean, void>;
    readonly accessibilityVerbose: IObservableWithChange<boolean, void>;
    readonly diffAlgorithm: IObservableWithChange<"advanced" | "legacy", void>;
    readonly showEmptyDecorations: IObservableWithChange<boolean, void>;
    readonly onlyShowAccessibleDiffViewer: IObservableWithChange<boolean, void>;
    readonly compactMode: IObservableWithChange<boolean, void>;
    private readonly trueInlineDiffRenderingEnabled;
    readonly useTrueInlineDiffRendering: IObservable<boolean>;
    readonly hideUnchangedRegions: IObservableWithChange<boolean, void>;
    readonly hideUnchangedRegionsRevealLineCount: IObservableWithChange<number, void>;
    readonly hideUnchangedRegionsContextLineCount: IObservableWithChange<number, void>;
    readonly hideUnchangedRegionsMinimumLineCount: IObservableWithChange<number, void>;
    updateOptions(changedOptions: IDiffEditorOptions): void;
    setWidth(width: number): void;
    private readonly _model;
    setModel(model: DiffEditorViewModel | undefined): void;
    private readonly shouldRenderInlineViewInSmartMode;
    readonly inlineViewHideOriginalLineNumbers: IObservableWithChange<boolean, void>;
}
