import { StringEdit, StringReplacement } from "../edits/stringEdit.js";
import { OffsetRange } from "../ranges/offsetRange.js";
import { Position } from "../position.js";
import { Range } from "../range.js";
import { TextReplacement, TextEdit } from "../edits/textEdit.js";
import { TextLength } from "./textLength.js";
export declare abstract class PositionOffsetTransformerBase {
    abstract getOffset(position: Position): number;
    getOffsetRange(range: Range): OffsetRange;
    abstract getPosition(offset: number): Position;
    getRange(offsetRange: OffsetRange): Range;
    getStringEdit(edit: TextEdit): StringEdit;
    getStringReplacement(edit: TextReplacement): StringReplacement;
    getSingleTextEdit(edit: StringReplacement): TextReplacement;
    getTextEdit(edit: StringEdit): TextEdit;
}
export declare class PositionOffsetTransformer extends PositionOffsetTransformerBase {
    readonly text: string;
    private readonly lineStartOffsetByLineIdx;
    private readonly lineEndOffsetByLineIdx;
    constructor(text: string);
    getOffset(position: Position): number;
    private _validatePosition;
    getPosition(offset: number): Position;
    getTextLength(offsetRange: OffsetRange): TextLength;
    get textLength(): TextLength;
    getLineLength(lineNumber: number): number;
}
