export declare enum AccessibilitySupport {
    Unknown = 0,
    Disabled = 1,
    Enabled = 2
}
export declare enum CodeActionTriggerType {
    Invoke = 1,
    Auto = 2
}
export declare enum CompletionItemInsertTextRule {
    None = 0,
    KeepWhitespace = 1,
    InsertAsSnippet = 4
}
export declare enum CompletionItemKind {
    Method = 0,
    Function = 1,
    Constructor = 2,
    Field = 3,
    Variable = 4,
    Class = 5,
    Struct = 6,
    Interface = 7,
    Module = 8,
    Property = 9,
    Event = 10,
    Operator = 11,
    Unit = 12,
    Value = 13,
    Constant = 14,
    Enum = 15,
    EnumMember = 16,
    Keyword = 17,
    Text = 18,
    Color = 19,
    File = 20,
    Reference = 21,
    Customcolor = 22,
    Folder = 23,
    TypeParameter = 24,
    User = 25,
    Issue = 26,
    Tool = 27,
    Snippet = 28
}
export declare enum CompletionItemTag {
    Deprecated = 1
}
export declare enum CompletionTriggerKind {
    Invoke = 0,
    TriggerCharacter = 1,
    TriggerForIncompleteCompletions = 2
}
export declare enum ContentWidgetPositionPreference {
    EXACT = 0,
    ABOVE = 1,
    BELOW = 2
}
export declare enum CursorChangeReason {
    NotSet = 0,
    ContentFlush = 1,
    RecoverFromMarkers = 2,
    Explicit = 3,
    Paste = 4,
    Undo = 5,
    Redo = 6
}
export declare enum DefaultEndOfLine {
    LF = 1,
    CRLF = 2
}
export declare enum DocumentHighlightKind {
    Text = 0,
    Read = 1,
    Write = 2
}
export declare enum EditorAutoIndentStrategy {
    None = 0,
    Keep = 1,
    Brackets = 2,
    Advanced = 3,
    Full = 4
}
export declare enum EditorOption {
    acceptSuggestionOnCommitCharacter = 0,
    acceptSuggestionOnEnter = 1,
    accessibilitySupport = 2,
    accessibilityPageSize = 3,
    allowVariableLineHeights = 4,
    ariaLabel = 5,
    ariaRequired = 6,
    autoClosingBrackets = 7,
    autoClosingComments = 8,
    screenReaderAnnounceInlineSuggestion = 9,
    autoClosingDelete = 10,
    autoClosingOvertype = 11,
    autoClosingQuotes = 12,
    autoIndent = 13,
    automaticLayout = 14,
    autoSurround = 15,
    bracketPairColorization = 16,
    guides = 17,
    codeLens = 18,
    codeLensFontFamily = 19,
    codeLensFontSize = 20,
    colorDecorators = 21,
    colorDecoratorsLimit = 22,
    columnSelection = 23,
    comments = 24,
    contextmenu = 25,
    copyWithSyntaxHighlighting = 26,
    cursorBlinking = 27,
    cursorSmoothCaretAnimation = 28,
    cursorStyle = 29,
    cursorSurroundingLines = 30,
    cursorSurroundingLinesStyle = 31,
    cursorWidth = 32,
    disableLayerHinting = 33,
    disableMonospaceOptimizations = 34,
    domReadOnly = 35,
    dragAndDrop = 36,
    dropIntoEditor = 37,
    experimentalEditContextEnabled = 38,
    emptySelectionClipboard = 39,
    experimentalGpuAcceleration = 40,
    experimentalWhitespaceRendering = 41,
    extraEditorClassName = 42,
    fastScrollSensitivity = 43,
    find = 44,
    fixedOverflowWidgets = 45,
    folding = 46,
    foldingStrategy = 47,
    foldingHighlight = 48,
    foldingImportsByDefault = 49,
    foldingMaximumRegions = 50,
    unfoldOnClickAfterEndOfLine = 51,
    fontFamily = 52,
    fontInfo = 53,
    fontLigatures = 54,
    fontSize = 55,
    fontWeight = 56,
    fontVariations = 57,
    formatOnPaste = 58,
    formatOnType = 59,
    glyphMargin = 60,
    gotoLocation = 61,
    hideCursorInOverviewRuler = 62,
    hover = 63,
    inDiffEditor = 64,
    inlineSuggest = 65,
    letterSpacing = 66,
    lightbulb = 67,
    lineDecorationsWidth = 68,
    lineHeight = 69,
    lineNumbers = 70,
    lineNumbersMinChars = 71,
    linkedEditing = 72,
    links = 73,
    matchBrackets = 74,
    minimap = 75,
    mouseStyle = 76,
    mouseWheelScrollSensitivity = 77,
    mouseWheelZoom = 78,
    multiCursorMergeOverlapping = 79,
    multiCursorModifier = 80,
    multiCursorPaste = 81,
    multiCursorLimit = 82,
    occurrencesHighlight = 83,
    occurrencesHighlightDelay = 84,
    overtypeCursorStyle = 85,
    overtypeOnPaste = 86,
    overviewRulerBorder = 87,
    overviewRulerLanes = 88,
    padding = 89,
    pasteAs = 90,
    parameterHints = 91,
    peekWidgetDefaultFocus = 92,
    placeholder = 93,
    definitionLinkOpensInPeek = 94,
    quickSuggestions = 95,
    quickSuggestionsDelay = 96,
    readOnly = 97,
    readOnlyMessage = 98,
    renameOnType = 99,
    renderControlCharacters = 100,
    renderFinalNewline = 101,
    renderLineHighlight = 102,
    renderLineHighlightOnlyWhenFocus = 103,
    renderValidationDecorations = 104,
    renderWhitespace = 105,
    revealHorizontalRightPadding = 106,
    roundedSelection = 107,
    rulers = 108,
    scrollbar = 109,
    scrollBeyondLastColumn = 110,
    scrollBeyondLastLine = 111,
    scrollPredominantAxis = 112,
    selectionClipboard = 113,
    selectionHighlight = 114,
    selectOnLineNumbers = 115,
    showFoldingControls = 116,
    showUnused = 117,
    snippetSuggestions = 118,
    smartSelect = 119,
    smoothScrolling = 120,
    stickyScroll = 121,
    stickyTabStops = 122,
    stopRenderingLineAfter = 123,
    suggest = 124,
    suggestFontSize = 125,
    suggestLineHeight = 126,
    suggestOnTriggerCharacters = 127,
    suggestSelection = 128,
    tabCompletion = 129,
    tabIndex = 130,
    unicodeHighlighting = 131,
    unusualLineTerminators = 132,
    useShadowDOM = 133,
    useTabStops = 134,
    wordBreak = 135,
    wordSegmenterLocales = 136,
    wordSeparators = 137,
    wordWrap = 138,
    wordWrapBreakAfterCharacters = 139,
    wordWrapBreakBeforeCharacters = 140,
    wordWrapColumn = 141,
    wordWrapOverride1 = 142,
    wordWrapOverride2 = 143,
    wrappingIndent = 144,
    wrappingStrategy = 145,
    showDeprecated = 146,
    inlayHints = 147,
    effectiveCursorStyle = 148,
    editorClassName = 149,
    pixelRatio = 150,
    tabFocusMode = 151,
    layoutInfo = 152,
    wrappingInfo = 153,
    defaultColorDecorators = 154,
    colorDecoratorsActivatedOn = 155,
    inlineCompletionsAccessibilityVerbose = 156,
    effectiveExperimentalEditContextEnabled = 157
}
export declare enum EndOfLinePreference {
    TextDefined = 0,
    LF = 1,
    CRLF = 2
}
export declare enum EndOfLineSequence {
    LF = 0,
    CRLF = 1
}
export declare enum GlyphMarginLane {
    Left = 1,
    Center = 2,
    Right = 3
}
export declare enum HoverVerbosityAction {
    Increase = 0,
    Decrease = 1
}
export declare enum IndentAction {
    None = 0,
    Indent = 1,
    IndentOutdent = 2,
    Outdent = 3
}
export declare enum InjectedTextCursorStops {
    Both = 0,
    Right = 1,
    Left = 2,
    None = 3
}
export declare enum InlayHintKind {
    Type = 1,
    Parameter = 2
}
export declare enum InlineCompletionEndOfLifeReasonKind {
    Accepted = 0,
    Rejected = 1,
    Ignored = 2
}
export declare enum InlineCompletionTriggerKind {
    Automatic = 0,
    Explicit = 1
}
export declare enum InlineEditTriggerKind {
    Invoke = 0,
    Automatic = 1
}
export declare enum KeyCode {
    DependsOnKbLayout = -1,
    Unknown = 0,
    Backspace = 1,
    Tab = 2,
    Enter = 3,
    Shift = 4,
    Ctrl = 5,
    Alt = 6,
    PauseBreak = 7,
    CapsLock = 8,
    Escape = 9,
    Space = 10,
    PageUp = 11,
    PageDown = 12,
    End = 13,
    Home = 14,
    LeftArrow = 15,
    UpArrow = 16,
    RightArrow = 17,
    DownArrow = 18,
    Insert = 19,
    Delete = 20,
    Digit0 = 21,
    Digit1 = 22,
    Digit2 = 23,
    Digit3 = 24,
    Digit4 = 25,
    Digit5 = 26,
    Digit6 = 27,
    Digit7 = 28,
    Digit8 = 29,
    Digit9 = 30,
    KeyA = 31,
    KeyB = 32,
    KeyC = 33,
    KeyD = 34,
    KeyE = 35,
    KeyF = 36,
    KeyG = 37,
    KeyH = 38,
    KeyI = 39,
    KeyJ = 40,
    KeyK = 41,
    KeyL = 42,
    KeyM = 43,
    KeyN = 44,
    KeyO = 45,
    KeyP = 46,
    KeyQ = 47,
    KeyR = 48,
    KeyS = 49,
    KeyT = 50,
    KeyU = 51,
    KeyV = 52,
    KeyW = 53,
    KeyX = 54,
    KeyY = 55,
    KeyZ = 56,
    Meta = 57,
    ContextMenu = 58,
    F1 = 59,
    F2 = 60,
    F3 = 61,
    F4 = 62,
    F5 = 63,
    F6 = 64,
    F7 = 65,
    F8 = 66,
    F9 = 67,
    F10 = 68,
    F11 = 69,
    F12 = 70,
    F13 = 71,
    F14 = 72,
    F15 = 73,
    F16 = 74,
    F17 = 75,
    F18 = 76,
    F19 = 77,
    F20 = 78,
    F21 = 79,
    F22 = 80,
    F23 = 81,
    F24 = 82,
    NumLock = 83,
    ScrollLock = 84,
    Semicolon = 85,
    Equal = 86,
    Comma = 87,
    Minus = 88,
    Period = 89,
    Slash = 90,
    Backquote = 91,
    BracketLeft = 92,
    Backslash = 93,
    BracketRight = 94,
    Quote = 95,
    OEM_8 = 96,
    IntlBackslash = 97,
    Numpad0 = 98,
    Numpad1 = 99,
    Numpad2 = 100,
    Numpad3 = 101,
    Numpad4 = 102,
    Numpad5 = 103,
    Numpad6 = 104,
    Numpad7 = 105,
    Numpad8 = 106,
    Numpad9 = 107,
    NumpadMultiply = 108,
    NumpadAdd = 109,
    NUMPAD_SEPARATOR = 110,
    NumpadSubtract = 111,
    NumpadDecimal = 112,
    NumpadDivide = 113,
    KEY_IN_COMPOSITION = 114,
    ABNT_C1 = 115,
    ABNT_C2 = 116,
    AudioVolumeMute = 117,
    AudioVolumeUp = 118,
    AudioVolumeDown = 119,
    BrowserSearch = 120,
    BrowserHome = 121,
    BrowserBack = 122,
    BrowserForward = 123,
    MediaTrackNext = 124,
    MediaTrackPrevious = 125,
    MediaStop = 126,
    MediaPlayPause = 127,
    LaunchMediaPlayer = 128,
    LaunchMail = 129,
    LaunchApp2 = 130,
    Clear = 131,
    MAX_VALUE = 132
}
export declare enum MarkerSeverity {
    Hint = 1,
    Info = 2,
    Warning = 4,
    Error = 8
}
export declare enum MarkerTag {
    Unnecessary = 1,
    Deprecated = 2
}
export declare enum MinimapPosition {
    Inline = 1,
    Gutter = 2
}
export declare enum MinimapSectionHeaderStyle {
    Normal = 1,
    Underlined = 2
}
export declare enum MouseTargetType {
    UNKNOWN = 0,
    TEXTAREA = 1,
    GUTTER_GLYPH_MARGIN = 2,
    GUTTER_LINE_NUMBERS = 3,
    GUTTER_LINE_DECORATIONS = 4,
    GUTTER_VIEW_ZONE = 5,
    CONTENT_TEXT = 6,
    CONTENT_EMPTY = 7,
    CONTENT_VIEW_ZONE = 8,
    CONTENT_WIDGET = 9,
    OVERVIEW_RULER = 10,
    SCROLLBAR = 11,
    OVERLAY_WIDGET = 12,
    OUTSIDE_EDITOR = 13
}
export declare enum NewSymbolNameTag {
    AIGenerated = 1
}
export declare enum NewSymbolNameTriggerKind {
    Invoke = 0,
    Automatic = 1
}
export declare enum OverlayWidgetPositionPreference {
    TOP_RIGHT_CORNER = 0,
    BOTTOM_RIGHT_CORNER = 1,
    TOP_CENTER = 2
}
export declare enum OverviewRulerLane {
    Left = 1,
    Center = 2,
    Right = 4,
    Full = 7
}
export declare enum PartialAcceptTriggerKind {
    Word = 0,
    Line = 1,
    Suggest = 2
}
export declare enum PositionAffinity {
    Left = 0,
    Right = 1,
    None = 2,
    LeftOfInjectedText = 3,
    RightOfInjectedText = 4
}
export declare enum RenderLineNumbersType {
    Off = 0,
    On = 1,
    Relative = 2,
    Interval = 3,
    Custom = 4
}
export declare enum RenderMinimap {
    None = 0,
    Text = 1,
    Blocks = 2
}
export declare enum ScrollType {
    Smooth = 0,
    Immediate = 1
}
export declare enum ScrollbarVisibility {
    Auto = 1,
    Hidden = 2,
    Visible = 3
}
export declare enum SelectionDirection {
    LTR = 0,
    RTL = 1
}
export declare enum ShowLightbulbIconMode {
    Off = "off",
    OnCode = "onCode",
    On = "on"
}
export declare enum SignatureHelpTriggerKind {
    Invoke = 1,
    TriggerCharacter = 2,
    ContentChange = 3
}
export declare enum SymbolKind {
    File = 0,
    Module = 1,
    Namespace = 2,
    Package = 3,
    Class = 4,
    Method = 5,
    Property = 6,
    Field = 7,
    Constructor = 8,
    Enum = 9,
    Interface = 10,
    Function = 11,
    Variable = 12,
    Constant = 13,
    String = 14,
    Number = 15,
    Boolean = 16,
    Array = 17,
    Object = 18,
    Key = 19,
    Null = 20,
    EnumMember = 21,
    Struct = 22,
    Event = 23,
    Operator = 24,
    TypeParameter = 25
}
export declare enum SymbolTag {
    Deprecated = 1
}
export declare enum TextEditorCursorBlinkingStyle {
    Hidden = 0,
    Blink = 1,
    Smooth = 2,
    Phase = 3,
    Expand = 4,
    Solid = 5
}
export declare enum TextEditorCursorStyle {
    Line = 1,
    Block = 2,
    Underline = 3,
    LineThin = 4,
    BlockOutline = 5,
    UnderlineThin = 6
}
export declare enum TrackedRangeStickiness {
    AlwaysGrowsWhenTypingAtEdges = 0,
    NeverGrowsWhenTypingAtEdges = 1,
    GrowsOnlyWhenTypingBefore = 2,
    GrowsOnlyWhenTypingAfter = 3
}
export declare enum WrappingIndent {
    None = 0,
    Same = 1,
    Indent = 2,
    DeepIndent = 3
}
